godo.Nfs.DeleteAccessPoint()

Generated on 5 Nov 2026 from godo version v1.236.0

Usage

client.Nfs.DeleteAccessPoint(ctx context.Context, accessPointID string) (*godo.NfsAccessPointActionResponse, *godo.Response, error)

Description

DeleteAccessPoint soft-deletes an NFS access point by ID.

This method sends a DELETE request to /v2/nfs/access_points/{}.

Parameters

accessPointID string required

Returns

*godo.NfsAccessPointActionResponse
*godo.Response

The HTTP response, with pagination Links, Meta, and Rate limit information.

error

Non-nil when the request fails. API errors are returned as *godo.ErrorResponse.

Fields of godo.NfsAccessPointActionResponse

NfsAccessPointActionResponse represents an access point mutation response.

AccessPoint *godo.NfsAccessPoint

JSON key: access_point

Action *godo.NfsAction

JSON key: action

Request Sample

Show Request Sample
package main

import (
	"context"
	"fmt"
	"log"
	"os"

	"github.com/digitalocean/godo"
)

func main() {
	client := godo.NewFromToken(os.Getenv("DIGITALOCEAN_TOKEN"))
	ctx := context.TODO()

	result, _, err := client.Nfs.DeleteAccessPoint(ctx, "<your-access-point-id>")
	if err != nil {
		log.Fatal(err)
	}
	fmt.Printf("%+v\n", result)
}

Response Example

Show Response Example
{
  "access_point": {
    "id": "7659ce91-354d-4f61-9cda-ae2c7feb61d9",
    "name": "other-vpc",
    "share_id": "baf4827c-6fa9-456f-9dbd-9ddfcacd0720",
    "path": "/other-vpc",
    "vpc_id": "3f34cdb2-1e4f-4100-b5c7-f55f2762085f",
    "status": "ACCESS_POINT_DELETED",
    "is_default": false,
    "created_at": "2026-06-25T08:11:12Z",
    "updated_at": "2026-06-25T08:14:14Z",
    "access_policy": {
      "anonuid": 65534,
      "anongid": 65534,
      "protocols": [
        "NFS4",
        "NFS"
      ],
      "squash_config": "ROOT_SQUASH",
      "identity_enforcement_enabled": false
    }
  },
  "action": {
    "id": "3fa0d618-6f8b-4245-9c0f-e16f9e295949",
    "region_slug": "s2r1",
    "resource_id": "7659ce91-354d-4f61-9cda-ae2c7feb61d9",
    "resource_type": "SHARE",
    "type": "DELETE_ACCESS_POINT",
    "status": "IN_PROGRESS",
    "started_at": "2026-06-25T08:14:14Z"
  }
}

More Information

See DELETE /v2/nfs/access_points/{} in the API reference for additional detail on responses, headers, parameters, and more.

See the Go package documentation for the source of this method.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.